package com.muyu.common.core.enums;

import java.util.Arrays;

/**
 * @Author：weiran
 * @Package：com.muyu.common.core.enums
 * @Project：cloud-common-core
 * @name：SystemYesNo
 * @Date：2024/8/5 21:11
 */

public enum SystemYesNo {
    Yes("Y","是"),
    No("N","否");
    private final String code;

    private final String info;

    SystemYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode(){
        return code;
    }

    public String getInfo(){
        return info;
    }


    /**
     * 鉴别Code是否合法
     * 如果存在code则返回true,不存在则返回false
     * @param code
     * @return
     */
    public static boolean isCode(String code){
        return Arrays.stream(values())
                .map(SystemYesNo::getCode)
                .anyMatch(s->s.equals(code));
    }
}
