package com.muyu.common.core.validation.custom;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author：weiran
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：IsSystemYesNo
 * @Date：2024/8/5 21:21
 */
@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = {SystemYesNoValidator.class})
public @interface IsSystemYesNo {
    String message() default "数据字典：[系统是否] - 参数不合法";
    Class<?>[] groups() default { };
    Class<? extends Payload>[] payload() default { };
}
